From david-b@pacbell.net Wed Jun 15 08:07:46 2005
From: David Brownell <david-b@pacbell.net>
To: Greg KH <greg@kroah.com>
Subject: USB: usbnet debug message fix
Date: Wed, 15 Jun 2005 08:04:30 -0700
Message-Id: <200506150804.30592.david-b@pacbell.net>

One debug message won't print the right value; OSDL bugid 4545.

Signed-off-by: David Brownell <dbrownell@users.sourceforge.net>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/net/usbnet.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/usb/net/usbnet.c	2005-06-06 12:09:03.000000000 -0700
+++ gregkh-2.6/drivers/usb/net/usbnet.c	2005-06-16 16:11:20.000000000 -0700
@@ -1429,7 +1429,7 @@
 			info->ether = (void *) buf;
 			if (info->ether->bLength != sizeof *info->ether) {
 				dev_dbg (&intf->dev, "CDC ether len %u\n",
-					info->u->bLength);
+					info->ether->bLength);
 				goto bad_desc;
 			}
 			dev->net->mtu = le16_to_cpup (
